This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### box()
Examples |
    size(100, 100, P3D);
    translate(58, 48, 0);
    rotateY(0.5);
    noFill();
    box(40);
    size(100, 100, P3D);
    translate(58, 48, 0);
    rotateY(0.5);
    noFill();
    box(40, 20, 50);
Description | A box is an extruded rectangle. A box with equal dimensions on all sides is a cube.
Syntax |
    box(size)
    box(w, h, d)
Parameters |
size | float: dimension of the box in all dimensions (creates a cube)
w | float: dimension of the box in the x-dimension
h | float: dimension of the box in the y-dimension
d | float: dimension of the box in the z-dimension
Returns | void
Related | sphere()

Updated on October 26, 2013 08:58:31pm PDT